// IADTrVw.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _IAD_TREE_VIEW_
#define _IAD_TREE_VIEW_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// IAD_TreeView view

class IAD_TreeView : public CTreeView
{
protected:
	IAD_TreeView();           // protected constructor used by dynamic creation
	
	DECLARE_DYNCREATE(IAD_TreeView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(IAD_TreeView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~IAD_TreeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(IAD_TreeView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif //_IAD_TREE_VIEW_ 
